> ## Documentation Index
> Fetch the complete documentation index at: https://doc.hpay.host-sl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable Wallet

> Enable a previously disabled wallet

## Endpoint

```
POST /api/v1/wallets/{wallet_id}/enable
```

## Path Parameters

<ParamField path="wallet_id" type="string" required>
  The unique identifier of the wallet to enable.
</ParamField>

## Headers

<ParamField header="api-key" type="string" required>
  Your application API key
</ParamField>

<ParamField header="secret-key" type="string" required>
  Your application secret key
</ParamField>

## Response

<ResponseField name="id" type="string">
  The unique identifier of the wallet.
</ResponseField>

<ResponseField name="is_active" type="boolean">
  Whether the wallet is currently active (will be `true`).
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://hpay-api.host-sl.com/api/v1/wallets/wall_123/enable \
    --header 'api-key: YOUR_API_KEY' \
    --header 'secret-key: YOUR_SECRET_KEY'
  ```

  ```python Python theme={null}
  from hostpay import HostPay

  client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")

  result = client.wallets.enable("wall_123")
  print(result)
  ```

  ```typescript TypeScript theme={null}
  import { HostPay } from "@hostpay/sdk";

  const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });

  const result = await client.wallets.enable("wall_123");
  console.log(result);
  ```

  ```php PHP theme={null}
  <?php
  $curl = curl_init();

  curl_setopt_array($curl, [
    CURLOPT_URL => "https://hpay-api.host-sl.com/api/v1/wallets/wall_123/enable",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_HTTPHEADER => [
      "api-key: YOUR_API_KEY",
      "secret-key: YOUR_SECRET_KEY"
    ]
  ]);

  $response = curl_exec($curl);
  curl_close($curl);

  echo $response;
  ?>
  ```
</RequestExample>

<ResponseExample>
  ```json 200 - Success theme={null}
  {
    "id": "wall_123",
    "user_id": "user_123",
    "balance": 150.50,
    "currency": "SLE",
    "is_active": true
  }
  ```

  ```json 400 - Bad Request theme={null}
  {
    "detail": "User associated with this wallet is disabled"
  }
  ```

  ```json 401 - Unauthorized theme={null}
  {
    "detail": "Invalid application credentials"
  }
  ```

  ```json 404 - Not Found theme={null}
  {
    "detail": "Wallet not found"
  }
  ```
</ResponseExample>
